Cgl 0.60.2

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Public Member Functions | Protected Attributes | Private Member Functions | List of all members
OsiPseudoCosts Class Reference

This class is the placeholder for the pseudocosts used by OsiChooseStrong. More...

`#include <OsiChooseVariable.hpp>`

## Public Member Functions
| OsiPseudoCosts ()
virtual | ~OsiPseudoCosts ()
| OsiPseudoCosts (const OsiPseudoCosts &rhs)
OsiPseudoCosts & | operator= (const OsiPseudoCosts &rhs)
int | numberBeforeTrusted () const
| Number of times before trusted. More...
void | setNumberBeforeTrusted (int value)
| Set number of times before trusted. More...
void | initialize (int n)
| Initialize the pseudocosts with n entries. More...
int | numberObjects () const
| Give the number of objects for which pseudo costs are stored. More...
virtual void | updateInformation (const OsiBranchingInformation *info, int branch, OsiHotInfo *hotInfo)
| Given a candidate fill in useful information e.g. estimates. More...
virtual void | updateInformation (int whichObject, int branch, double changeInObjective, double changeInValue, int status)
| Given a branch fill in useful information e.g. estimates. More...
Accessor methods to pseudo costs data
double * | upTotalChange ()
const double * | upTotalChange () const
double * | downTotalChange ()
const double * | downTotalChange () const
int * | upNumber ()
const int * | upNumber () const
int * | downNumber ()
const int * | downNumber () const

## Protected Attributes
double * | upTotalChange_
| Total of all changes up. More...
double * | downTotalChange_
| Total of all changes down. More...
int * | upNumber_
| Number of times up. More...
int * | downNumber_
| Number of times down. More...
int | numberObjects_
| Number of objects (could be found from solver) More...
int | numberBeforeTrusted_
| Number before we trust. More...

## Private Member Functions
void | gutsOfDelete ()
void | gutsOfCopy (const OsiPseudoCosts &rhs)

## Detailed Description

This class is the placeholder for the pseudocosts used by OsiChooseStrong.

It can also be used by any other pseudocost based strong branching algorithm.

Definition at line 290 of file OsiChooseVariable.hpp.

## Constructor & Destructor Documentation

OsiPseudoCosts::OsiPseudoCosts | ( |  | ) |

virtual OsiPseudoCosts::~OsiPseudoCosts | ( |  | ) |
| virtual

OsiPseudoCosts::OsiPseudoCosts | ( | const OsiPseudoCosts & | rhs | ) |

## Member Function Documentation

void OsiPseudoCosts::gutsOfDelete | ( |  | ) |
| private

void OsiPseudoCosts::gutsOfCopy | ( | const OsiPseudoCosts & | rhs | ) |
| private

OsiPseudoCosts& OsiPseudoCosts::operator= | ( | const OsiPseudoCosts & | rhs | ) |

int OsiPseudoCosts::numberBeforeTrusted | ( |  | ) | const
| inline

Number of times before trusted.

Definition at line 317 of file OsiChooseVariable.hpp.

void OsiPseudoCosts::setNumberBeforeTrusted | ( | int | value | ) |
| inline

Set number of times before trusted.

Definition at line 322 of file OsiChooseVariable.hpp.

void OsiPseudoCosts::initialize | ( | int | n | ) |

Initialize the pseudocosts with n entries.

int OsiPseudoCosts::numberObjects | ( |  | ) | const
| inline

Give the number of objects for which pseudo costs are stored.

Definition at line 329 of file OsiChooseVariable.hpp.

double* OsiPseudoCosts::upTotalChange | ( |  | ) |
| inline

Definition at line 336 of file OsiChooseVariable.hpp.

const double* OsiPseudoCosts::upTotalChange | ( |  | ) | const
| inline

Definition at line 337 of file OsiChooseVariable.hpp.

double* OsiPseudoCosts::downTotalChange | ( |  | ) |
| inline

Definition at line 339 of file OsiChooseVariable.hpp.

const double* OsiPseudoCosts::downTotalChange | ( |  | ) | const
| inline

Definition at line 340 of file OsiChooseVariable.hpp.

int* OsiPseudoCosts::upNumber | ( |  | ) |
| inline

Definition at line 342 of file OsiChooseVariable.hpp.

const int* OsiPseudoCosts::upNumber | ( |  | ) | const
| inline

Definition at line 343 of file OsiChooseVariable.hpp.

int* OsiPseudoCosts::downNumber | ( |  | ) |
| inline

Definition at line 345 of file OsiChooseVariable.hpp.

const int* OsiPseudoCosts::downNumber | ( |  | ) | const
| inline

Definition at line 346 of file OsiChooseVariable.hpp.

virtual void OsiPseudoCosts::updateInformation | ( | const OsiBranchingInformation * | info,
|  | int | branch,
|  | OsiHotInfo * | hotInfo
| ) |  |
| virtual

Given a candidate fill in useful information e.g. estimates.

virtual void OsiPseudoCosts::updateInformation | ( | int | whichObject,
|  | int | branch,
|  | double | changeInObjective,
|  | double | changeInValue,
|  | int | status
| ) |  |
| virtual

Given a branch fill in useful information e.g. estimates.

## Member Data Documentation

double* OsiPseudoCosts::upTotalChange_
| protected

Total of all changes up.

Definition at line 294 of file OsiChooseVariable.hpp.

double* OsiPseudoCosts::downTotalChange_
| protected

Total of all changes down.

Definition at line 296 of file OsiChooseVariable.hpp.

int* OsiPseudoCosts::upNumber_
| protected

Number of times up.

Definition at line 298 of file OsiChooseVariable.hpp.

int* OsiPseudoCosts::downNumber_
| protected

Number of times down.

Definition at line 300 of file OsiChooseVariable.hpp.

int OsiPseudoCosts::numberObjects_
| protected

Number of objects (could be found from solver)

Definition at line 302 of file OsiChooseVariable.hpp.

int OsiPseudoCosts::numberBeforeTrusted_
| protected

Number before we trust.

Definition at line 304 of file OsiChooseVariable.hpp.

The documentation for this class was generated from the following file:

- /tmp/Cgl-0.60.2/Osi/src/Osi/OsiChooseVariable.hpp